Subject: ab/mark-leak-free-tests-even-more (was: What's cooking in git.git (Nov 2021, #05; Fri, 19))

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 23 Nov 2021 14:22:16 +0100

On Fri, Nov 19 2021, Junio C Hamano wrote:

> * ab/mark-leak-free-tests-even-more (2021-11-01) 15 commits
>  - leak tests: mark some fast-import tests as passing with SANITIZE=leak
>  - leak tests: mark some config tests as passing with SANITIZE=leak
>  - leak tests: mark some status tests as passing with SANITIZE=leak
>  - leak tests: mark some clone tests as passing with SANITIZE=leak
>  - leak tests: mark some add tests as passing with SANITIZE=leak
>  - leak tests: mark some diff tests as passing with SANITIZE=leak
>  - leak tests: mark some apply tests as passing with SANITIZE=leak
>  - leak tests: mark some notes tests as passing with SANITIZE=leak
>  - leak tests: mark some update-index tests as passing with SANITIZE=leak
>  - leak tests: mark some rev-parse tests as passing with SANITIZE=leak
>  - leak tests: mark some rev-list tests as passing with SANITIZE=leak
>  - leak tests: mark some misc tests as passing with SANITIZE=leak
>  - leak tests: mark most gettext tests as passing with SANITIZE=leak
>  - leak tests: mark "sort" test as passing SANITIZE=leak
>  - leak tests: mark a read-tree test as passing SANITIZE=leak
>
>  More tests are marked as leak-free.
>
>  Will merge to 'next'?

FWIW Elijah reviewed it and acked merging it to "next" in response to
the previous What's Cooking:

    https://lore.kernel.org/git/[email-masked]/

I also think it's ready, and along with ab/checkout-branch-info-leakfix
(marked for 'next', yay).

Together those two form a good basis for follow-ing up and fixing some
other "big leaks". I'll be doing the big one of "struct rev_info" soon
after these land.